bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

dired-aux.el needs "(require 'dired)"


From: Eduardo Ochs
Subject: dired-aux.el needs "(require 'dired)"
Date: Mon, 17 Dec 2007 11:51:50 -0200
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.50 (gnu/linux)

The definition of `dired-copy-file' is this, in dired-aux.el:

  ;;;###autoload
  (defun dired-copy-file (from to ok-flag)
    (dired-handle-overwrite to)
    (dired-copy-file-recursive from to ok-flag dired-copy-preserve-time t
                               dired-recursive-copies))

but if we run just

  (write-region "contents" nil "/tmp/o")
  (dired-copy-file "/tmp/o" "/tmp/o2" 'ok-flag)

we get an error:

  Symbol's value as variable is void: dired-recursive-copies

dired-aux.el starts with

  (eval-when-compile (require 'dired))

but that's not enough - it should have a "(require 'dired)".

  Cheers,
    Eduardo Ochs
    http://angg.twu.net/
    address@hidden


P.S.: the result of running (emacs-version) at my machine is this:
"GNU Emacs 23.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.8.20) of
2007-12-13 on persephone".





reply via email to

[Prev in Thread] Current Thread [Next in Thread]